Package com.io7m.cardant.model

# Record Class CAAttachmentKey

java.lang.Object
java.lang.Record
com.io7m.cardant.model.CAAttachmentKey

Record Components:
  `fileID` - The file ID
  `relation` - The relation

All Implemented Interfaces:
  `Comparable<CAAttachmentKey>`

public record CAAttachmentKey(CAFileID fileID, String relation) extends Record implements Comparable<CAAttachmentKey>
The values that uniquely identify an attachment on an object.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `CAAttachmentKey(CAFileID fileID, String relation)`
  The values that uniquely identify an attachment on an object.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `int`
  `compareTo(CAAttachmentKey other)`
  `final boolean`
  `equals(Object o)`
  Indicates whether some other object is "equal to" this one.
  `CAFileID`
  `fileID()`
  Returns the value of the `fileID` record component.
  `final int`
  `hashCode()`
  Returns a hash code value for this object.
  `String`
  `relation()`
  Returns the value of the `relation` record component.
  `final String`
  `toString()`
  Returns a string representation of this record class.

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### CAAttachmentKey

    public CAAttachmentKey(CAFileID fileID, String relation)
    The values that uniquely identify an attachment on an object.
    Parameters:
      `fileID` - The file ID
      `relation` - The relation

- ## Method Details

  - ### compareTo

    public int compareTo(CAAttachmentKey other)
    Specified by:
      `compareTo` in interface `Comparable<CAAttachmentKey>`

  - ### toString

    public final String toString()
    Returns a string representation of this record class. The representation contains the name of the class, followed by the name and value of each of the record components.
    Specified by:
      `toString` in class `Record`
    Returns:
      a string representation of this object

  - ### hashCode

    public final int hashCode()
    Returns a hash code value for this object. The value is derived from the hash code of each of the record components.
    Specified by:
      `hashCode` in class `Record`
    Returns:
      a hash code value for this object

  - ### equals

    public final boolean equals(Object o)
    Indicates whether some other object is "equal to" this one. The objects are equal if the other object is of the same class and if all the record components are equal. All components in this record class are compared with `Objects::equals(Object,Object)`.
    Specified by:
      `equals` in class `Record`
    Parameters:
      `o` - the object with which to compare
    Returns:
      `true` if this object is the same as the `o` argument; `false` otherwise.

  - ### fileID

    public CAFileID fileID()
    Returns the value of the `fileID` record component.
    Returns:
      the value of the `fileID` record component

  - ### relation

    public String relation()
    Returns the value of the `relation` record component.
    Returns:
      the value of the `relation` record component